# Generated by Django 2.2.6 on 2019-10-09 13:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('IPL', '0002_delete_delivery'),
    ]

    operations = [
        migrations.CreateModel(
            name='Delivery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('inning', models.IntegerField(default=1, null=True)),
                ('batting_team', models.CharField(max_length=200, null=True)),
                ('bowling_team', models.CharField(max_length=200, null=True)),
                ('over', models.IntegerField(default=1, null=True)),
                ('ball', models.IntegerField(default=1, null=True)),
                ('batsman', models.CharField(max_length=200, null=True)),
                ('non_striker', models.CharField(max_length=200, null=True)),
                ('bowler', models.CharField(max_length=200, null=True)),
                ('is_super_over', models.IntegerField(default=0, null=True)),
                ('wide_runs', models.IntegerField(default=0, null=True)),
                ('bye_runs', models.IntegerField(default=0, null=True)),
                ('legbye_runs', models.IntegerField(default=0, null=True)),
                ('noball_runs', models.IntegerField(default=0, null=True)),
                ('penalty_runs', models.IntegerField(default=0, null=True)),
                ('batsman_runs', models.IntegerField(default=0, null=True)),
                ('extra_runs', models.IntegerField(default=0, null=True)),
                ('total_runs', models.IntegerField(default=0, null=True)),
                ('player_dismissed', models.CharField(max_length=200, null=True)),
                ('dismissal_kind', models.CharField(max_length=150, null=True)),
                ('fielder', models.CharField(max_length=200, null=True)),
                ('match_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='IPL.Match')),
            ],
        ),
    ]
